Subject: Re: bug#18006: Simplify via set_binary_mode

From: Paul Eggert <[email-masked]>
Date: Tue, 15 Jul 2014 12:39:36 -0700

Eli Zaretskii wrote:
> The lib-src part looks OK to me.

Thanks, I installed that.

> This part doesn't look right.  If we don't use "rt", then when
> emacs_fopen calls emacs_open

Ah, sorry, that part was a false alarm.  I forgot that emacs_fopen 
doesn't pass the mode string to fopen, which means there's no 
portability bug there after all.  If we were going to make a change I'd 
prefer your (a) to your (b) as it keeps the mainline code simpler, but 
doing nothing at all is simpler yet, so I'll close the bug.